%global commit0 84b1831fe16b784fb3e5bfbacf76b42a821ae720
%global date 20231105
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})

Name:           rpi-utils
Version:        0
Release:        1.%{date}git%{shortcommit0}%{?dist}
Summary:        A collection of scripts and simple applications for your Raspberry Pi
License:        BSD-3-Clause
URL:            https://github.com/raspberrypi/utils

Source0:        %{url}/archive/%{commit0}.tar.gz#/utils-%{shortcommit0}.tar.gz
Patch0:         %{name}-drop-apt-command.patch

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  libfdt-devel

%description
A collection of scripts and simple applications for interfacing with your
Raspberry Pi.

%prep
%autosetup -p1 -n utils-%{commit0}

sed -i 's/-pedantic/-pedantic -fPIC/g' vclog/CMakeLists.txt

%build
export PROGRAMS="$(cat CMakeLists.txt | grep add_subdirectory | cut -d"(" -f 2 | cut -d")" -f 1)"

for program in $PROGRAMS; do
  pushd $program
    %cmake
    %cmake_build
  popd
done

%install
export PROGRAMS="$(cat CMakeLists.txt | grep add_subdirectory | cut -d"(" -f 2 | cut -d")" -f 1)"

for program in $PROGRAMS; do
  pushd $program
    %cmake_install
  popd
done

%files
%license LICENCE
%doc README.md
%{_bindir}/dtmerge
%{_bindir}/dtoverlay
%{_bindir}/dtparam
%{_bindir}/otpset
%{_bindir}/overlaycheck
%{_bindir}/overlaycheck_exclusions.txt
%{_bindir}/ovmerge
%{_bindir}/pinctrl
%{_bindir}/raspinfo
%{_bindir}/vcgencmd
%{_bindir}/vclog
%{_bindir}/vcmailbox
%{_datadir}/bash-completion/completions/pinctrl
%{_datadir}/bash-completion/completions/vcgencmd
%{_mandir}/man1/dtmerge*
%{_mandir}/man1/dtoverlay*
%{_mandir}/man1/dtparam*
%{_mandir}/man1/vcgencmd*
%{_mandir}/man1/vcmailbox*
%{_mandir}/man7/raspiotp*
%{_mandir}/man7/raspirev*
%{_mandir}/man7/vcmailbox*

%changelog
* Sat Nov 11 2023 Simone Caronni <negativo17@gmail.com> - 0-1.20231105git84b1831
- First build.
